CWTableInternal::Table Struct Reference

the struct which stores the Table More...

Inheritance diagram for CWTableInternal::Table:

## Public Member Functions

| Table (CWStruct::DSET const &dset, CWTable &parser)
| constructor More...
TableCell * | get (int id)
| return a cell corresponding to id More...
void | checkChildZones ()
| check that each child zone are valid More...
void | updateCells ()
| finish updating all cells More...
bool | askMainToSendZone (int number)
| ask the main parser to send a zone More...
Public Member Functions inherited from CWStruct::DSET
| DSET ()
| constructor More...
virtual | ~DSET ()
| virtual destructor More...
bool | okChildId (int zoneId) const
| test is a child id is valid More...
Public Member Functions inherited from MWAWTable
| MWAWTable (uint32_t givenData=BoxBit)
| the constructor More...
virtual | ~MWAWTable ()
| the destructor More...
void | add (shared_ptr< MWAWCell > cell)
| add a new cells More...
bool | mergeBorders () const
| returns true if we need to merge borders More...
bool | setMergeBorders (bool val)
| sets the merge borders' value More...
void | setAlignment (Alignment align, float leftMargin=0, float rightMargin=0)
| defines the current alignment More...
int | numCells () const
| returns the number of cell More...
std::vector< float > const & | getRowsSize () const
| returns the row size if defined (in point) More...
void | setRowsSize (std::vector< float > const &rSize)
| define the row size (in point) More...
std::vector< float > const & | getColsSize () const
| returns the columns size if defined (in point) More...
void | setColsSize (std::vector< float > const &cSize)
| define the columns size (in point) More...
shared_ptr< MWAWCell > | get (int id)
| returns the i^th cell More...
bool | updateTable ()
| try to build the table structures More...
bool | hasExtraLines ()
| returns true if the table has extralines More...
bool | sendTable (MWAWContentListenerPtr listener, bool inFrame=true)
| try to send the table More...
bool | sendAsText (MWAWContentListenerPtr listener)
| try to send the table as basic text More...
void | addTablePropertiesTo (WPXPropertyList &propList, WPXPropertyListVector &columns) const
| adds the table properties to propList More...

## Public Attributes

CWTable * | m_parser
| the main parser More...
CWStyleManager * | m_styleManager
| the style manager More...
std::vector< Border > | m_bordersList
| the list of border More...
long | m_mainPtr
| the relative main pointer More...
Public Attributes inherited from CWStruct::DSET
long | m_size
| the size of the DSET header More...
long | m_numData
| the number of header More...
long | m_dataSz
| the data size More...
long | m_headerSz
| the header size More...
Type | m_type
| the document type More...
int | m_fileType
| the type ( 0: text, -1: graphic, ...) More...
int | m_id
| the identificator More...
std::set< int > | m_fathersList
| the list of fathers More...
std::set< int > | m_validedChildList
| the list of verified child More...
int | m_beginSelection
| the begin of selection ( at least in text header) More...
int | m_endSelection
| the end of selection ( at least in text header) More...
int | m_textType
| the text type (header/footer,footnote, ...) More...
int | m_flags [4]
| some unknown flag More...
std::vector< Child > | m_childs
| the list of child zone More...
std::vector< int > | m_otherChilds
| the list of other child More...
bool | m_parsed
| a flag to know if the entry is sent or not to the listener More...
int | m_internal
| an internal variable used to do some computation More...

## Private Member Functions

| Table (Table const &orig)
Table & | operator= (Table const &orig)

## Friends

struct | TableCell
std::ostream & | operator<< (std::ostream &o, Table const &doc)
| operator<< More...

## Additional Inherited Members

Public Types inherited from CWStruct::DSET
enum | Type { T_Main =0, T_Header, T_Footer, T_Frame, T_Footnote, T_Table, T_Slide, T_Unknown }
| the document type More...
Public Types inherited from MWAWTable
enum | DataSet { CellPositionBit =1, BoxBit =2, SizeBit =4, TableDimBit =8, TablePosToCellBit =0x10 }
| an enum used to indicate what the list of entries which are filled More...
enum | Alignment { Paragraph, Left, Center, Right }
| an enum do define the table alignement. More...
Protected Member Functions inherited from MWAWTable
int | getCellIdPos (int col, int row) const
| convert a cell position in a posToCellId's position More...
bool | buildStructures ()
| create the correspondance list, ... More...
bool | buildDims ()
| compute the rows and the cells size More...
bool | buildPosToCellId ()
| a function which fills to posToCellId vector using the cell position More...
void | sendExtraLines (MWAWContentListenerPtr listener) const
| send extra line More...
Protected Attributes inherited from MWAWTable
uint32_t | m_givenData
| a int to indicate what data are given in entries More...
uint32_t | m_setData
| a int to indicate what data are been reconstruct More...
bool | m_mergeBorders
| do we need to merge cell borders ( default yes) More...
std::vector< shared_ptr < MWAWCell > > | m_cellsList
| the list of cells More...
size_t | m_numRows
| the number of rows ( set by buildPosToCellId ) More...
size_t | m_numCols
| the number of cols ( set by buildPosToCellId ) More...
std::vector< float > | m_rowsSize
| the final row size (in point) More...
std::vector< float > | m_colsSize
| the final col size (in point) More...
Alignment | m_alignment
| the table alignment More...
float | m_leftMargin
| the left margin in point More...
float | m_rightMargin
| the right margin in point More...
std::vector< int > | m_posToCellId
| a vector used to store an id corresponding to each cell More...
bool | m_hasExtraLines
| true if we need to send extra lines More...

## Detailed Description

the struct which stores the Table

## Constructor & Destructor Documentation

CWTableInternal::Table::Table | ( | CWStruct::DSET const & | dset,
|  | CWTable & | parser
| ) |  |

inline

constructor

CWTableInternal::Table::Table | ( | Table const & | orig | ) |

private

## Member Function Documentation

bool CWTableInternal::Table::askMainToSendZone | ( | int | number | ) |

inline

ask the main parser to send a zone

void CWTableInternal::Table::checkChildZones | ( |  | ) |

inline

check that each child zone are valid

TableCell* CWTableInternal::Table::get | ( | int | id | ) |

inline

return a cell corresponding to id

Referenced by CWTable::readTableBordersId().

Table& CWTableInternal::Table::operator= | ( | Table const & | orig | ) |

private

void CWTableInternal::Table::updateCells | ( |  | ) |

inline

finish updating all cells

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Table const & | doc
| ) |  |

friend

operator<<

friend struct TableCell

friend

## Member Data Documentation

std::vector<Border> CWTableInternal::Table::m_bordersList

the list of border

Referenced by CWTable::readTableBorders(), CWTable::readTableBordersId(), and CWTableInternal::TableCell::update().

long CWTableInternal::Table::m_mainPtr

the relative main pointer

Referenced by CWTable::readTablePointers().

CWTable* CWTableInternal::Table::m_parser

the main parser

Referenced by askMainToSendZone().

CWStyleManager* CWTableInternal::Table::m_styleManager

the style manager

Referenced by CWTableInternal::TableCell::update().

The documentation for this struct was generated from the following file:

- CWTable.cxx